| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bparam.cpp File Reference

A tool to extract parameters from coordinate files. More...

`#include "rwmolecule.h"`
`#include "rwmd.h"`
`#include "mol_param.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A tool to extract parameters from coordinate files.

Author
  Bernard Heymann

Date
  Created: 20050304
  Modified: 20150512

Definition in file bparam.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 46 of file bparam.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bparam [options] param.star",
"----------------------------------",
"Manipulate molecular parameter files.",
" ",
"Actions:",
"-select CA Atom selection (default all).",
"-bonds List all bond lengths.",
"-angles List all angles.",
"-length 1.85 Length to define bonds.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-elements Use elements as identifiers rather than atom names.",
" ",
"Input:",
"-from input.pdb Extract parameters from an atomic coordinate file.",
"-parameters parm.star Molecular parameter file (default atom_prop.star)",
" ",
"Output:",
"-output param.star Output parameter file.",
" ",
NULL
}

Definition at line 20 of file bparam.cpp.

## ◆ verbose

int verbose